
:root {
    --col-carrusel-point-unchecked: lightgray;
    --col-carrusel-point-checked: black;
    --col-carrusel-point-border: gray;
    --col-carrusel-point-background: white;
    --col-carrusel-point-focus: hsl(240, 73%, 65%);
    --col-carrusel-lrb-bg: rgba(255, 255, 255, 0.4);
    --col-carrusel-lrb-txt: black;
    --col-carrusel-lrb-focus: hsla(240, 73%, 65%, 0.4);
    --col-carrusel-bg: black;
}

.carrusel {
    width: 100%;
    background-color: var(--col-carrusel-bg);
    position: relative;
    overflow: hidden;
    scroll-behavior: smooth;
    margin: 0 auto;
    border-radius: 0.5rem;
}

.carrusel__puntos {
    position: absolute;
    bottom: 0.5rem;
    z-index: 10;

    width: 100%;
    display: grid;
    justify-items: center;
}

.carrusel__puntos legend {
    display: none;
}

.carrusel__puntos label {
    display: none;
}

.carrusel__puntos__punto {
    font-size: 0.7em;
    display: inline-block;
    appearance: none;
    background-color: var(--col-carrusel-point-unchecked);
    width: 1.5em;
    height: 1.5em;
    border-radius: 100%;
    margin: 0 0.5em;
    cursor: pointer;
    /* outline: 2px solid var(--col-carrusel-point-border); */
    border: 0.3em solid var(--col-carrusel-point-background);
}

.carrusel__puntos__punto:checked {
    background-color: var(--col-carrusel-point-checked);
}

.carrusel__puntos__punto:focus {
    outline: 2px solid var(--col-carrusel-point-focus);
}


.carrusel__flechas {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: space-between;
    z-index: 10;
    pointer-events: none;
}

.carrusel__flechas button {
    background-color: var(--col-carrusel-lrb-bg);
    color: var(--col-carrusel-lrb-txt);
    font-size: 3em;
    font-weight: bolder;
    cursor: pointer;
    pointer-events: all;
    padding: 0.5rem;
    border: 0;
}

.carrusel__flechas button:focus {
    background-color: var(--col-carrusel-lrb-focus);
    outline: 0;
}

.carrusel__fotos {
    scroll-behavior: smooth;
    overflow: hidden;
    display: flex;
}

.carrusel__fotos__foto {
    position: relative;
    min-width: 100%;
}
.carrusel__fotos__foto picture {
    max-width: 100%;
}

.carrusel__fotos__foto img {
    margin: 0 auto;
    max-width: 100%;
}



.carrusel__texto {
    position: absolute;
    top: 1rem;
    width: 100%;

    display: grid;
    justify-items: center;
}

.carrusel__texto p {
    display: inline-block;
    color: white;
    font-weight: bold;
    padding: 1rem;
    background-color: rgba(0, 0, 0, 0.6);
    border-radius: 1rem;
}

.carrusel__texto h2 {
    display: inline-block;
    font-size: 2em;
    color: white;
    font-weight: bold;
    padding: 1rem;
    background-color: rgba(0, 0, 0, 0.6);
    border-radius: 1rem;
}

.carrusel__puntos__punto {
    font-size: 0.75em;
}

@media screen and (min-width: 600px) {

    .carrusel__texto h2 {
        font-size: 3em;
    }
    
    /* .carrusel__puntos__punto {
        font-size: 1em;
    } */
}

@media screen and (min-width: 1000px) {

    .carrusel__texto h2 {
        font-size: 4em;
    }
    
    /* .carrusel__puntos__punto {
        font-size: 1.5em;
    } */
}
